<div class="row">
  <div class="col-12">
    <div class="card">
      <div class="card-header" style="background-color: #00B5B8 !important;margin-bottom: 35px;">
        <div class="row">
          <div class="col-6">
            <h4 style="font-size: 20px; color: white;">
              Add Author
            </h4>
          </div>
        </div>
      </div>
      <HR>

      <div class="card-body">

        <form #f="ngForm">


            <div class="table-responsive">
              <table class="table table-bordered" id="item_table">
                <tr>
                  <th>Id</th>
                </tr>
                <td><input type="text" class="form-control" readonly>
                </td>
                <tr>
                  <th>name</th>
                </tr>
                <td><input type="text" class="form-control" ngModel required #m="ngModel" [(ngModel)]="author.name" name="author.name"    >
                  <div class="alert alert-danger" *ngIf="m.invalid && m.touched">
                     name is required</div>
                </td>
                <tr>
                  <th>points</th>
                </tr>
                <td><input type="number" class="form-control" ngModel required #p="ngModel" [(ngModel)]="author.points" name="author.points" pattern="[1-9][0-9]{0,2}" >
                  <div class="alert alert-danger" *ngIf="p.invalid && p.touched">
                    points is required</div>
                </td>
                <tr>
                  <th>country</th>
                </tr>
                <td><input type="text" class="form-control" ngModel required #c="ngModel" [(ngModel)]="author.country" name="author.country"  >
                  <div class="alert alert-danger" *ngIf="p.invalid && p.touched">
                    country is required</div>
                </td>
                <tr>
                  <th>picture</th>
                </tr>
                <td><input type="text" class="form-control" ngModel required #pic="ngModel" [(ngModel)]="author.picture" name="author.picture" >
                  <div class="alert alert-danger" *ngIf="pic.invalid && pic.touched">
                    picture is required</div>

                </td>

              </table>
              <input [disabled]="f.invalid" class="btn btn-primary btn-group-lg pull-right"
                      (click)="save()" value="Enregistrer" />
            </div>
        </form>

      </div>

    </div>
  </div>
</div>
<notifier-container></notifier-container>

